from django.shortcuts import render_to_response
from django.http import HttpResponseRedirect
from django.contrib import auth
from django.core.context_processors import csrf
from django.contrib.auth.forms import UserCreationForm

# Create your views here.

def logout(request):
    auth.logout(request)
    return render_to_response("logout.html")

def login(request):
    c = {}
    c.update(csrf(request))
    return render_to_response("login.html", c)

def auth_view(request):
    '''
    username = request.POST.get('username', '')
    password = request.POST.get('password', '')
    '''
    username = request.POST['username']
    password = request.POST['password']
    user = auth.authenticate(username=username, password=password)

    if user is not None:
        auth.login(request, user)
        return HttpResponseRedirect('/dj/accounts/loggedin')
    else:
        return HttpResponseRedirect('/dj/accounts/invalid')

def loggedin(request):
    return render_to_response('loggedin.html',
                               {'full_name': request.user.username})

def invalid_login(request):
    return render_to_response('invalid_login.html')

def register_user(request):
    # 2nd time around
    if request.method == 'POST':
        # form = MyRegistrationForm(request.POST)
        form = UserCreationForm(request.POST)
        if form.is_valid():
            form.save()
            return HttpResponseRedirect('/dj/accounts/register_success')

    # 1st time visit
    args = {}
    args.update(csrf(request))

    # form with no input
    # args['form'] = MyRegistrationForm()
    args['form'] = UserCreationForm()
    print args

    # passing form
    return render_to_response('register.html', args)

def register_success(request):
    return render_to_response('register_success.html')





